Flutter 2.0空安全之手动关闭/开启
侧边栏壁纸
  • 累计撰写 270 篇文章
  • 累计收到 275 条评论

Flutter 2.0空安全之手动关闭/开启

Karry Bai
2021-12-06 / 0 评论 / 48 阅读 / 正在检测是否收录...
温馨提示:
本文最后更新于2022年04月19日,已超过118天没有更新,若内容或图片失效,请留言反馈。

Flutter 2默认启用了空安全,所以通过Flutter 2创建的项目是已经开启了空安全的检查的,另外,也可以可以通过下面命令来查看你的Flutter SDK版本:

flutter doctor

那么,如何手动开启和关闭空区安全的?

environment:
  sdk: ">=2.12.0 <3.0.0" //sdk >=2.12.0表示开启空安全检查

提示:一旦项目开启了空安全检查,那么你的代码包括项目所依赖的三方插件必须是要支持空安全的否则是无法正常编译的。开启空安全之后,然后运行下项目你会看到很多的报错,然后定位到报错的文件,对项目进行空安全适配。

如果想关闭空安全检查,可以将SDK的支持范围调整到2.12.0以下即可,如:

environment:
  sdk: ">=2.7.0 <3.0.0"
0

评论 (0)

取消